---
id: 6577254891048c8f2c19e961
title: Step 8
challengeType: 20
dashedName: step-8
---

# --description--

Call the `merge_sort()` function again. Do not pass in any argument for now.

# --hints--

You should call `merge_sort()` again after the previous function call.

```js
({
  test: () => {
    const transformedCode = code.replace(/\r/g, "");
    const merge_sort = __helpers.python.getDef("\n" + transformedCode, "merge_sort");
    const { function_body } = merge_sort;

    assert.match(function_body, /merge_sort\s*\(\s*\)/);
  }
})
```

# --seed--

## --seed-contents--

```py
--fcc-editable-region--
def merge_sort(array):
    middle_point = len(array) // 2
    left_part = array[:middle_point]
    right_part = array[middle_point:]
    
    merge_sort(left_part)

--fcc-editable-region--
```
